version in VCS is newer than in repository, is it time to upload?

package:
libtickit-widget-tabbed-perl
severity:
normal
created:
2019-12-08
last updated:
2020-02-13

vcswatch reports that this package seems to have a new changelog entry (version 0.021-3, distribution UNRELEASED) and new commits in its VCS. You should consider whether it's time to make an upload.

Here are the relevant commit messages:
commit 153c937d33e90d4e8ddcdf50e82f48e6196aef2c
Author: gregor herrmann <gregoa@debian.org>
Date:   Sun Dec 8 20:35:25 2019 +0100

    update changelog
    
    Gbp-Dch: Ignore

commit ccdbd24f967fb23fec163703617d250115290e07
Author: gregor herrmann <gregoa@debian.org>
Date:   Sun Dec 8 20:35:13 2019 +0100

    Remove contentless debian/upstream/metadata.

commit 6172a942a8beeddb5506454197f74177f6ec0d97
Merge: 7c4c135 01aa869
Author: gregor herrmann <gregoa@debian.org>
Date:   Sun Dec 8 19:34:17 2019 +0000

    Merge branch 'lintian-fixes' into 'master'
    
    Fix some issues reported by lintian
    
    See merge request perl-team/modules/packages/libtickit-widget-tabbed-perl!1

commit 01aa8695e3d7a91d8a55d87cce421edff9e07472
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Nov 19 05:10:05 2019 +0000

    Remove obsolete fields Contact, Name from debian/upstream/metadata.

commit 64c1b24ef62c2a60981754e8c66595947ae56f37
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Nov 19 05:09:46 2019 +0000

    Set debhelper-compat version in Build-Depends.
    
    Fixes lintian: uses-debhelper-compat-file
    See https://lintian.debian.org/tags/uses-debhelper-compat-file.html for more details.

commit cf61f218a3bbcb76d22f6a3349d924da5b3d3604
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Tue Nov 19 05:09:27 2019 +0000

    Bump debhelper from old 10 to 12.
    
    Fixes lintian: package-uses-old-debhelper-compat-version
    See https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html for more details.